StartupEvents.registry('item', event => {
	event.create('tin_sheet')
        .displayName('Tin Sheet')
        .maxStackSize(64)

    event.create('silver_sheet')
        .displayName('Silver Sheet')
        .maxStackSize(64)

    event.create('nickel_sheet')
        .displayName('Nickel Sheet')
        .maxStackSize(64)

    event.create('lead_sheet')
        .displayName('Lead Sheet')
        .maxStackSize(64)

    event.create('red_alloy_ingot')
        .displayName('Red Alloy Ingot')
        .maxStackSize(64)

    event.create('red_alloy_sheet')
        .displayName('Red Alloy Sheet')
        .maxStackSize(64)

    event.create('dark_silver_ingot')
        .displayName('Dark Silver Ingot')
        .maxStackSize(64)

    event.create('dark_silver_sheet')
        .displayName('Dark Silver Sheet')
        .maxStackSize(64)

    event.create('tungsten_sheet')
        .displayName('Tungsten Sheet')
        .maxStackSize(64)
})

StartupEvents.registry('block', event => {
    event.create('dark_silver_block')
        .material('metal')
        .hardness(0.75)
        .displayName('Dark Silver Block')
        .tagBlock('minecraft:mineable/pickaxe') // Make it mine faster using a shovel in 1.18.2+
  	    .tagBlock('minecraft:needs_stone_tool') // Make it require an iron or higher level tool on 1.18.2+
  	    .requiresTool(false) // Make it require a tool to drop ay loot
})